#
# Please do not update/rebuild/touch this package before asking first to luc, mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with KDE
Version:        0.4.1
Release:        %mkrel %{rel}
Group:          System/Configuration
License:        GPLv2
URL:            http://albertvaka.wordpress.com/ 
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kdeconnect-kde-0.4.1-Compile-everything.patch  

BuildRequires:  kdelibs4-devel
BuildRequires:  qjson-devel >= 0.8.1

Conflicts:      kdeconnect-kded < 0.4
Obsoletes:      kdeconnect-kded < 0.4

%description
Connect and sync your devices with KDE

%files  -f %{name}.lang
%_kde_libdir/kde4/imports/org/kde/kdeconnect
%_kde_libdir/kde4/*.so
%_kde_appsdir/kdeconnect/kdeconnect.notifyrc
%_kde_appsdir/plasma/plasmoids/kdeconnect/contents/ui/CompactRepresentation.qml
%_kde_appsdir/plasma/plasmoids/kdeconnect/contents/ui/DeviceDelegate.qml
%_kde_appsdir/plasma/plasmoids/kdeconnect/contents/ui/config.ui
%_kde_appsdir/plasma/plasmoids/kdeconnect/contents/ui/kdeconnect.qml
%_kde_appsdir/plasma/plasmoids/kdeconnect/metadata.desktop
%_datadir/dbus-1/interfaces/*.xml
%_kde_services/kcm_kdeconnect.desktop
%_kde_services/kdeconnect_battery.desktop
%_kde_services/kdeconnect_clipboard.desktop
#%_kde_services/kdeconnect_filetransfer.desktop
%_kde_services/kdeconnect_mpriscontrol.desktop
%_kde_services/kdeconnect_notifications.desktop
%_kde_services/kdeconnect_pausemusic.desktop
%_kde_services/kdeconnect_ping.desktop
%_kde_services/kdeconnect_sharereceiver.desktop
%_kde_services/kdeconnect_telephony.desktop
%_kde_services/kded/kdeconnect.desktop
%_kde_services/plasma-kdeconnect.desktop
%_kde_servicetypes/kdeconnect_plugin.desktop

#------------------------------------------------------------------------------

%define kdeconnect_major 1
%define libkdeconnect %mklibname kdeconnect %kdeconnect_major

%package -n %libkdeconnect
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkdeconnect
Connect and sync your devices with KDE

%files -n %libkdeconnect
%_kde_libdir/libkdeconnect.so.%{kdeconnect_major}*

#------------------------------------------------------------------------------

%define libkdeconnect_d %mklibname kdeconnect -d

%package -n %libkdeconnect_d
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt

%description  -n %libkdeconnect_d
Files needed to build applications based on %{name}.

%files -n %libkdeconnect_d
%_kde_libdir/libkdeconnect.so

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name} kdeconnect-kded kdeconnect-kcm kdeconnect-plasmoid


%changelog
* Mon Nov 11 2013 lmenut <lmenut> 0.4.1-1.mga4
+ Revision: 550454
- Update to 0.4.1
- Update to 0.4
  fix files list
- Rename package to match upstream name

* Mon Oct 21 2013 umeabot <umeabot> 0.3-1.mga4
+ Revision: 539358
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 0.3-0.mga4
+ Revision: 491942
- Update tarball to 0.3
- Fix files list

* Sun Aug 25 2013 neoclust <neoclust> 0.0-0.20130825.1.mga4
+ Revision: 471612
- imported package kdeconnect-kded

